RenderAlertTemplate
Render a template with sample data to preview the output
POST
/api/v1/alerting/templates/renderOperation ID
RenderAlertTemplateSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
contentStringTemplate content to render
Example: # Alert: {{.AlertName}}
formatStringTemplate format for rendering
Example: markdown
payloadStringJSON payload data for template variable substitution
Example: {"AlertName": "High CPU"}
alarmTypeStringPayload dataset: resource (default) or event; no type inference from payload fields
Example: event
